org.keycloak.saml.processing.core.util

## Class CoreConfigUtil

- java.lang.Object
- - org.keycloak.saml.processing.core.util.CoreConfigUtil

-     public class CoreConfigUtil
      extends Object

  Utility for configuration
  Since:
    Nov 13, 2009
  Author:
    Anil.Saldhana@redhat.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreConfigUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getIdentityURL(IDPSSODescriptorType idp, String bindingURI)` Given a binding uri, get the IDP identity url
    `static IDPSSODescriptorType` | `getIDPDescriptor(EntitiesDescriptorType entitiesDescriptor)` Get the first metadata descriptor for an IDP
    `static IDPSSODescriptorType` | `getIDPDescriptor(EntityDescriptorType entityDescriptor)` Get the IDP metadata descriptor from an entity descriptor
    `static String` | `getLogoutResponseLocation(IDPSSODescriptorType idp, String bindingURI)` Given a binding uri, get the IDP logout response url (used for global logouts)
    `static String` | `getLogoutURL(IDPSSODescriptorType idp, String bindingURI)` Given a binding uri, get the IDP identity url
    `static String` | `getServiceURL(SPSSODescriptorType sp, String bindingURI)` Get the service url for the SP
    `static SPSSODescriptorType` | `getSPDescriptor(EntityDescriptorType entityDescriptor)` Get the SP Descriptor from an entity descriptor

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoreConfigUtil

          public CoreConfigUtil()

  - ### Method Detail

    - #### getIDPDescriptor

          public static IDPSSODescriptorType getIDPDescriptor(EntitiesDescriptorType entitiesDescriptor)

      Get the first metadata descriptor for an IDP
      Parameters:
        `entitiesDescriptor` -
      Returns:

    - #### getIDPDescriptor

          public static IDPSSODescriptorType getIDPDescriptor(EntityDescriptorType entityDescriptor)

      Get the IDP metadata descriptor from an entity descriptor
      Parameters:
        `entityDescriptor` -
      Returns:

    - #### getSPDescriptor

          public static SPSSODescriptorType getSPDescriptor(EntityDescriptorType entityDescriptor)

      Get the SP Descriptor from an entity descriptor
      Parameters:
        `entityDescriptor` -
      Returns:

    - #### getIdentityURL

          public static String getIdentityURL(IDPSSODescriptorType idp,
                                              String bindingURI)

      Given a binding uri, get the IDP identity url
      Parameters:
        `idp` -
        `bindingURI` -
      Returns:

    - #### getLogoutURL

          public static String getLogoutURL(IDPSSODescriptorType idp,
                                            String bindingURI)

      Given a binding uri, get the IDP identity url
      Parameters:
        `idp` -
        `bindingURI` -
      Returns:

    - #### getLogoutResponseLocation

          public static String getLogoutResponseLocation(IDPSSODescriptorType idp,
                                                         String bindingURI)

      Given a binding uri, get the IDP logout response url (used for global logouts)

    - #### getServiceURL

          public static String getServiceURL(SPSSODescriptorType sp,
                                             String bindingURI)

      Get the service url for the SP
      Parameters:
        `sp` -
        `bindingURI` -
      Returns:

Copyright © 2016 JBoss by Red Hat. All rights reserved.